// InputController_9222.h: interface for the CInputController_9222 class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "InputControllerBase.h"

class CAdlinkCommon;
// NOTE: the Channel/Point number for analog input is 0 to 15 only
// However, MIT internal setting is 16 to 31.

class CInputController_9222 : public CInputControllerBase
{
public:
    CInputController_9222();
    virtual ~CInputController_9222();

    // method to initialise the input controller card
    int InitCard(int nHardwareIniTypeID, int nHardwareIniTypeCardNo, int* pPhysicalCardID) override;

    // method to close the input controller card
    int CloseCard(int nPhysicalCardID) override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
